Investigate non-puppetmaster instances configured to be puppetmasters
Closed, ResolvedPublic

Description

krenair@deployment-salt02:~$ sudo salt '*' cmd.run --out=yaml 'grep "\[master\]" /etc/puppet/puppet.conf -c' | grep -v "'0'"
deployment-phab01.deployment-prep.eqiad.wmflabs: '1'
deployment-imagescaler01.deployment-prep.eqiad.wmflabs: '1'
deployment-puppetmaster02.deployment-prep.eqiad.wmflabs: '1'
krenair@deployment-salt02:~$

I was expecting only deployment-puppetmaster02

Krenair created this task.Dec 15 2016, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2016, 3:03 PM

Mentioned in SAL (#wikimedia-releng) [2017-05-04T10:16:05Z] <hashar> Unbroke puppet on deployment-phab01 - T153319

deployment-phab01.deployment-prep.eqiad.wmflabs

A standalone puppet master. I dont even know why there is a Phabricator instance in the beta cluster but I guess there is a good reason.

Its autorebase is broken since December 7th 2016. There is no cherry pick there. I have:

  • rebased the puppet repo
  • added in hiera phabricator_cluster_search: {} (to prevent: Could not find data item phabricator_cluster_search in any Hiera data file)
  • ran puppet which passed
  • removed role::puppet::self from that instance

Mentioned in SAL (#wikimedia-releng) [2017-05-04T10:29:14Z] <hashar> Unbroke puppet on deployment-imagescaler01 and removing role::puppetmaster::self - T153319

hashar added subscribers: MarkTraceur, Gilles, fgiunchedi.

deployment-imagescaler01.deployment-prep.eqiad.wmflabs

The puppet conf is a bit messy:

[agent]
server = puppetmaster.thumbor.eqiad.wmflabs

[agent]
server = localhost

The puppet repo is not autorebasing since December 7th. I fixed it, ran puppet and removed the puppetmaster:self class from deployment-imagescaler01

Mentioned in SAL (#wikimedia-releng) [2017-05-04T10:31:54Z] <hashar> deployment-phab01 / deployment-imagescaler01 rm /etc/puppet/puppet.conf.d/10-self.conf - T153319

Mentioned in SAL (#wikimedia-releng) [2017-05-04T10:37:39Z] <hashar> deployment-prep: force recompilation of puppet.conf : salt -v '*' cmd.run 'echo >> /etc/puppet/puppet.conf.d/10-main.conf' - T153319

I also dropped /etc/puppet/puppet.conf.d/10-self.conf from all instances + deployment-fluorine02

Mentioned in SAL (#wikimedia-releng) [2017-05-04T10:39:42Z] <hashar> Removing puppetmaster: puppetmaster.thumbor.eqiad.wmflabs from deployment-imagescaler01 - T153319

hashar closed this task as Resolved.EditedMay 4 2017, 10:43 AM
hashar claimed this task.
# salt '*' cmd.run --out=yaml 'grep "\[master\]" /etc/puppet/puppet.conf -c' | grep -v "'0'"
deployment-puppetmaster02.deployment-prep.eqiad.wmflabs: '1'